Generic Isabelle application wrapper.
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/Isabelle Fri Jul 03 00:02:07 2009 +0200
@@ -0,0 +1,25 @@
+#!/usr/bin/env bash
+#
+# Author: Makarius
+#
+# Generic Isabelle application wrapper.
+
+if [ -L "$0" ]; then
+ TARGET="$(LC_ALL=C ls -l "$0" | sed 's/.* -> //')"
+ exec "$(cd "$(dirname "$0")"; cd "$(pwd -P)"; cd "$(dirname "$TARGET")"; pwd)/$(basename "$TARGET")" "$@"
+fi
+
+
+## settings
+
+ISABELLE_HOME="$(cd "$(dirname "$0")"; pwd -P)"
+source "$ISABELLE_HOME/lib/scripts/getsettings" || exit 2
+
+
+## main
+
+CLASSPATH="$(jvmpath "$CLASSPATH")"
+
+exec "$ISABELLE_JAVA" \
+ "-Disabelle.home=$ISABELLE_HOME" \
+ -jar "$(jvmpath "$ISABELLE_HOME/lib/classes/isabelle-scala.jar")" "$@"